v3.0
get
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/sites/{siteId}/shipments
Searches for shipments associated with a site by site ID. This version includes a new field in the response: formInstanceId.
Rights: OrsSupplyManagerGet and OrsBlinded.
Rights: OrsSupplyManagerGet and OrsBlinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
siteId(required): string(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
9B83BFB48C5A41C59775E4D8D22D8B26 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Query Parameters
-
limit: string
Maximum number of records to display per page.Default Value:
100Example:100 -
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0Example:0 -
recon(required): boolean
Boolean value for recon.Example:
false -
searchString(required): string
Search string.Example:
SHIP -
statusId(required): number
ID of the status.Example:
1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ViewShipmentResponse
Type:
objectTitle:
ViewShipmentResponseContains shipments search result.
Show Source
-
count: integer
(int64)
Total count of result
-
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
shipments: array
Shipments
Title:
ShipmentsShipments list. -
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : Shipments
Type:
arrayTitle:
ShipmentsShipments list.
Show Source
-
Array of:
object ShipmentTO
Title:
ShipmentTOShipment details including site, depot, status, dates, and tracking info.
Example:
[
{
"shipmentId":"B1B8327AFAA6412287106192AB5984EF",
"siteId":"C36A3197FDEE433FB5547EE83DE99E4B",
"siteName":"Site Houston",
"shipmentNumber":"123",
"statusId":5
}
]Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
Nested Schema : ShipmentTO
Type:
objectTitle:
ShipmentTOShipment details including site, depot, status, dates, and tracking info.
Show Source
-
createdDate: string
(date-time)
Shipment creation date.Example:
2026-02-21T06:30:00Z -
depotId: string
(uuid)
Depot ID.
-
depotName: string
Name of the depot.Example:
Depot Houston -
depotShortName: string
Depot short name.Example:
dpt_hstn -
formInstanceId: string
(uuid)
Title:
Form IDIdentifier of the form associated with the resupply.Example:00d48a2a-7280-1a4e-e063-0100007f3af8 -
reconciliation: boolean
Indicates whether the shipment is for kit reconciliation.Example:
true -
reportId: string
(uuid)
Report Id
-
shipDate: string
(date-time)
Ship date.Example:
2026-02-21T06:45:00Z -
shipmentId: string
ID of the shipment.Example:
B1B8327AFAA6412287106192AB5984EF -
shipmentNumber: string
Shipment number.Example:
123 -
siteId: string
(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
-
siteName: string
Name of the site.Example:
Site Houston -
siteShortName: string
Site short name.Example:
st_hstn -
statusId: integer
(int32)
Shipment status ID.Example:
5 -
trackingNumber: string
Shipment tracking number.Example:
12345 -
trackingNumberURL: string
URL for tracking the shipment.Example:
http://www.site.com
Example:
{
"shipmentId":"B1B8327AFAA6412287106192AB5984EF",
"siteId":"C36A3197FDEE433FB5547EE83DE99E4B",
"siteName":"Site Houston",
"shipmentNumber":"123",
"statusId":5
}Examples
404 Response
'Invalid study ID', 'Study still in Draft (design phase)', 'Invalid site ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples